Skip to main content
POST
/
api
/
v2
/
customers
/
pairs
/
configure
Configure a currency pair and payment method
curl --request POST \
  --url https://sandbox.killb.app/api/v2/customers/pairs/configure \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fromCurrency": "USDC",
  "cashInMethod": "PSE",
  "toCurrency": "COP",
  "cashOutMethod": "PSE"
}
'
{
  "message": "Pair configured successfully",
  "pair": "USDC_COP",
  "method": "PSE"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
fromCurrency
enum<string>
required

Source currency

Available options:
USDT,
USDC,
MXN,
COP,
USD
Example:

"USDC"

cashInMethod
enum<string>
required

Cash-in method

Available options:
PRE_FUND_POLYGON,
PRE_FUND_TRON,
PRE_FUND_SOLANA,
POLYGON,
SOLANA,
ETHEREUM,
TRON,
PSE,
SPEI,
PRE_FUND
Example:

"PSE"

toCurrency
enum<string>
required

Target currency

Available options:
COP,
MXN,
USDT,
USDC,
USD,
CLP,
PAB,
DOP,
BOB,
GTQ,
HNL,
NIO,
PYG
Example:

"COP"

cashOutMethod
enum<string>
required

Cash-out method

Available options:
POLYGON,
TRON,
SOLANA,
ETHEREUM,
PSE,
SPEI,
ACH,
ACH_BO,
SPI_DO,
ACH_PA,
SPI_PY,
ACH_NI,
ACH_HN,
ACH_GT,
WIRE,
SWIFT
Example:

"PSE"

Response

message
string
required
Example:

"Pair configured successfully"

pair
string
required
Example:

"USDC_COP"

method
string
required
Example:

"PSE"